## pyfits 3.2

=== docs/requirements.txt ===
numpy
numpydoc
stsci.sphinxext
sphinxcontrib-programoutput

## pyfits 2.4.0

=== debian/changelog ===
pyfits (1:2.4.0-1build1) precise; urgency=low

  * Rebuild to drop python2.6 dependencies and provides.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 14 Apr 2012 13:43:29 +0000

pyfits (1:2.4.0-1) unstable; urgency=low

  * New upstream version.
  * Switch to 3.0 (quilt) format.
  * Bump Standards-Version to 3.9.1 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 07 Mar 2011 15:24:41 +0100

pyfits (1:2.3.1-1) unstable; urgency=low

  * New upstream version.
  * Update debian/copyright. 
  * Link with system zlib instead of using embedded one. 

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 08 Jun 2010 16:41:07 +0200

pyfits (1:2.3-1) unstable; urgency=low

  *  New upstream version.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 13 May 2010 15:08:29 +0200

pyfits (1:2.2.2-1) unstable; urgency=low

  * New upstream version (Closes: #572698).
  * Bump Standards-Version to 3.8.4 (no changes).
  * Switch python-pyfits package to arch any:
    - Move Build-Depends-indep packages to Build-Depends.
    - Build-depends on python-all-dev.
    - Build for all version of pythons.
  * Remove python-pyfits-doc package.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 06 Mar 2010 12:50:46 +0100

pyfits (1:1.3-3) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

  [ Aurelien Jarno ]
  * debian/control
    - s/tetex-bin/texlive/ (Closes: #562341).
    - Bump Standards-Version to 3.8.3 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 03 Jan 2010 20:41:40 +0100

pyfits (1:1.3-2) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/rules
    - removed bashism on clean target (Closes: #478618)
  * debian/control
    - removed Depends on python-numarray (Closes: #478448)

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 10 May 2008 12:16:45 +0200

pyfits (1:1.3-1) unstable; urgency=low

  [ Aurelien Jarno ]
  * New upstream version. 
  * Bump Standards-Version to 3.7.3 (no changes).

  [ Jan Michael Alonzo ]
  * Vcs-Browser, Vcs-Svn, Homepage fields added (Piotr Ożarowski
    <piotr@debian.org>)
  * Watch file added

  [ Sandro Tosi ]
  * debian/control
    - uniforming Vcs-Browser field

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 06 Apr 2008 19:00:43 +0200

pyfits (1:1.1-1) unstable; urgency=low

  * New upstream version. 

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 14 Jul 2007 09:44:32 +0200

pyfits (1.1rc1-1) experimental; urgency=low

  * New upstream version. 

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 12 Apr 2007 16:32:45 +0200

pyfits (1.1b3-1) experimental; urgency=low

  * New upstream version. 

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 10 Dec 2006 20:15:31 +0100

pyfits (1.1b2-3) experimental; urgency=low

  * Fix a fixed path in debian/rules causing a FTBFS.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 29 Aug 2006 22:44:18 +0200

pyfits (1.1b2-2) experimental; urgency=low

  * Correctly use dh_pysupport. 

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 23 Jul 2006 14:39:39 +0200

pyfits (1.1b2-1) experimental; urgency=low

  * Upload to experimental.
  * New beta version supporting both numpy and numarray.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 22 Jul 2006 23:04:53 +0200

pyfits (1.0.1-6) unstable; urgency=low

  * python-pyfits: don't depends on python-support twice.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 22 Jul 2006 22:56:15 +0200

pyfits (1.0.1-5) unstable; urgency=low

  * Update to the new Python policy (Closes: #373490).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 22 Jun 2006 01:53:48 +0200

pyfits (1.0.1-4) unstable; urgency=low

  * Build-depends on tetex-bin as pdflatex is used during the build 
    (Closes: bug#373205).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 14 Jun 2006 05:05:18 +0200

pyfits (1.0.1-3) unstable; urgency=low

  * Move the CHANGES file from lib/ to debian/, so that there is nothing
    outside of the debian/ directory in the .diff.gz file.
  * Drop python2.3-pyfits and python2.4-pyfits, use python-support 
    instead.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 16 May 2006 01:34:46 +0200

pyfits (1.0.1-2) unstable; urgency=low

  * Changed the maintainer to Debian Python Modules Team
    <python-modules-team@lists.alioth.debian.org>

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 15 May 2006 01:40:30 +0200

pyfits (1.0.1-1) unstable; urgency=low

  * Initial Release (Closes: #366684)

 -- Aurelien Jarno <aurel32@debian.org>  Fri,  5 May 2006 20:05:48 +0200

=== debian/control ===
Source: pyfits
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Aurelien Jarno <aurel32@debian.org>
Build-Depends: debhelper (>= 5.0.37.2), quilt, python-numpy, python-all-dev (>= 2.3.5-7), python-support (>= 0.3), zlib1g-dev
Standards-Version: 3.9.1
Homepage: http://www.stsci.edu/resources/software_hardware/pyfits
Vcs-Svn: svn://svn.debian.org/python-modules/packages/pyfits/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pyfits/trunk/

Package: python-pyfits
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-numpy
Provides: ${python:Provides}
Description: Python module for reading, writing, and manipulating FITS files
 FITS (Flexible Image Transport System) is a data format most used in
 astronomy. PyFITS is a Python module for reading, writing, and manipulating
 FITS files. The module uses Python's object-oriented features to provide quick, 
 easy, and efficient access to FITS files. The use of Python's array syntax 
 enables immediate access to any FITS extension, header cards, or data items.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYVERS:=$(shell pyversions -r)

include /usr/share/quilt/quilt.make

clean: unpatch
	dh_testdir
	dh_testroot

	for py in $(PYVERS); do \
	    $$py setup.py clean --all ; \
	done
	rm -f *.pyc
	rm -f lib/svn_version.py

	rm -f *-stamp
	dh_clean

build: build-stamp
build-stamp: $(QUILT_STAMPFN)
	dh_testdir

	set -e; \
	for py in $(PYVERS); do \
	    $$py setup.py build; \
	done

	touch $@

install: install-stamp
install-stamp:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	set -e; \
	for py in $(PYVERS); do \
		$$py setup.py install --prefix=/usr --root=$(CURDIR)/debian/python-pyfits; \
	done

	touch $@

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installchangelogs debian/CHANGES
	dh_pysupport
	dh_link
	dh_strip
	dh_compress -X.py
	dh_fixperms
	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Nothing to be done here
binary-arch: build

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## pyfits 3.0.8

=== debian/changelog ===
pyfits (1:3.0.8-2) unstable; urgency=low

  * Build fitscheck in the binary-indep target instead of the binary-arch
    one.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 13 Jun 2012 23:10:49 +0200

pyfits (1:3.0.8-1) unstable; urgency=low

  * New upstream version. 
  * Fix the compression library. 

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 07 Jun 2012 21:39:08 +0200

pyfits (1:3.0.7-2) unstable; urgency=medium

  * Add a Python3 package.
  * Split-out /usr/bin/fitscheck in a separate package.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 05 Jun 2012 08:07:30 +0200

pyfits (1:3.0.7-1) unstable; urgency=low

  * New upstream version (Closes: #645203).
  * Bump Standards-Version to 3.9.3 (no changes).
  * Correctly pass CFLAGS, CPPFLAGS and LDFLAGS to build with hardening
    support.
  * Add build-arch and build-indep targets.
 
 -- Aurelien Jarno <aurel32@debian.org>  Tue, 05 Jun 2012 00:14:12 +0200

=== debian/control ===
Source: pyfits
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Aurelien Jarno <aurel32@debian.org>
Build-Depends: debhelper (>= 7.0.50~), zlib1g-dev, python-all-dev (>= 2.6.6-3~), python-setuptools, python-d2to1, python-stsci.distutils, python-numpy, python3-all-dev (>= 3.1.2-6~), python3-setuptools, python3-d2to1, python3-stsci.distutils, python3-numpy
X-Python-Version: >= 2.5
X-Python3-Version: >= 3.0
Standards-Version: 3.9.3
Homepage: http://www.stsci.edu/resources/software_hardware/pyfits
Vcs-Svn: svn://svn.debian.org/python-modules/packages/pyfits/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pyfits/trunk/

Package: python-pyfits
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Suggests: fitscheck
Description: Python module for reading, writing, and manipulating FITS files
 FITS (Flexible Image Transport System) is a data format most used in
 astronomy. PyFITS is a Python module for reading, writing, and manipulating
 FITS files. The module uses Python's object-oriented features to provide quick, 
 easy, and efficient access to FITS files. The use of Python's array syntax 
 enables immediate access to any FITS extension, header cards, or data items.
 .
 This package provides PyFITS on the Python 2 module path. It is complemented
 by python3-pyfits.

Package: python3-pyfits
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Provides: ${python3:Provides}
Suggests: fitscheck
Description: Python3 module for reading, writing, and manipulating FITS files
 FITS (Flexible Image Transport System) is a data format most used in
 astronomy. PyFITS is a Python module for reading, writing, and manipulating
 FITS files. The module uses Python's object-oriented features to provide quick, 
 easy, and efficient access to FITS files. The use of Python's array syntax 
 enables immediate access to any FITS extension, header cards, or data items.
 .
 This package provides PyFITS on the Python 3 module path. It is complemented
 by python-pyfits.

Package: fitscheck
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-pyfits
Breaks: python-pyfits (<< 1:3.0.7-2~)
Replaces: python-pyfits (<< 1:3.0.7-2~)
Description: script to detect and fix FITS standards violations
 FITS (Flexible Image Transport System) is a data format most used in
 astronomy. PyFITS is a Python module for reading, writing, and manipulating
 FITS files. The module uses Python's object-oriented features to provide quick, 
 easy, and efficient access to FITS files. The use of Python's array syntax 
 enables immediate access to any FITS extension, header cards, or data items.
 .
 This package provides a script a command line script based on pyfits for 
 verifying and updating the CHECKSUM and DATASUM keywords of FITS files.
 It can also detect and often fix other FITS standards violations.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Get flags from dpkg-buildflags
CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS   := $(shell dpkg-buildflags --get CFLAGS)
LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS)

PYVERS   := $(shell pyversions -r)
PY3VERS  := $(shell py3versions -r)

clean:
	dh_testdir
	dh_testroot

	for py in $(PYVERS) $(PY3VERS); do \
	    $$py setup.py clean --all ; \
	done
	rm -f *.pyc
	rm -f lib/svn_version.py
	rm -rf lib/pyfits.egg-info

	rm -f *-stamp
	dh_clean

build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp:
	dh_testdir

	set -e; \
	for py in $(PYVERS) $(PY3VERS); do \
	    LDFLAGS="$(LDFLAGS)" CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)"  \
	        $$py setup.py build ; \
	done

	touch $@

# We have nothing to do by default.
build-indep:

install: install-stamp
install-stamp: build-arch
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Python2 version
	set -e; \
	for py in $(PYVERS); do \
	    $$py setup.py install --prefix=/usr \
				  --root=$(CURDIR)/debian/python-pyfits \
				  --install-layout=deb ; \
	    rm -rf $(CURDIR)/debian/python-pyfits/usr/bin ; \
	done

	# Python3 version
	set -e; \
	for py in $(PY3VERS); do \
	    $$py setup.py install --prefix=/usr \
				  --root=$(CURDIR)/debian/python3-pyfits \
				  --install-layout=deb ; \
	    rm -rf $(CURDIR)/debian/python3-pyfits/usr/bin ; \
	done

	# Install fitscheck
	install -m 755 -d $(CURDIR)/debian/fitscheck/usr/bin
	install -m 644 $(CURDIR)/scripts/fitscheck $(CURDIR)/debian/fitscheck/usr/bin
	install -m 755 -d $(CURDIR)/debian/fitscheck/usr/share/man/man1
	install -m 644 $(CURDIR)/debian/fitscheck.1 $(CURDIR)/debian/fitscheck/usr/share/man/man1

	touch $@

# Build architecture-independent files here.
binary-indep: build-indep install
	dh_testdir
	dh_testroot
	dh_installdocs -i
	dh_installexamples -i
	dh_installchangelogs -i debian/CHANGES
	dh_python2 -i
	dh_numpy -i
	dh_link -i
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build-arch install
	dh_testdir
	dh_testroot
	dh_installdocs -a
	dh_installexamples -a
	dh_installchangelogs -a debian/CHANGES
	dh_python2 -a
	dh_numpy -a
	dh_python3 -a
	dh_numpy3 -a
	dh_link -a
	dh_strip -a
	dh_compress -a -X.py
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install

## pyfits 3.1

=== debian/changelog ===
pyfits (1:3.1-1) unstable; urgency=low

  * New upstream version.
    - Refreshed 01-zlib.diff.
    - Added 02-disable-version-setup-hook.diff to prevent version.py to
      be regenerated with a timestamp at clean time.
  * Compress source and .deb with xz.
  * Bump Standards-Version to 3.9.4.0 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 30 Dec 2012 15:03:07 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 7.0.50~), zlib1g-dev, python-all-dev (>= 2.6.6-3~), python-setuptools, python-d2to1, python-stsci.distutils, python-numpy, python3-all-dev (>= 3.1.2-6~), python3-setuptools, python3-d2to1, python3-stsci.distutils, python3-numpy
 X-Python-Version: >= 2.5
 X-Python3-Version: >= 3.0
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4.0
 Homepage: http://www.stsci.edu/resources/software_hardware/pyfits
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/pyfits/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pyfits/trunk/

=== debian/rules ===
--- 
+++ 
@@ -91,7 +91,7 @@
 	dh_installdeb -i
 	dh_gencontrol -i
 	dh_md5sums -i
-	dh_builddeb -i
+	dh_builddeb -i -- -Zxz
 
 # Build architecture-dependent files here.
 binary-arch: build-arch install
@@ -112,7 +112,7 @@
 	dh_shlibdeps -a
 	dh_gencontrol -a
 	dh_md5sums -a
-	dh_builddeb -a
+	dh_builddeb -a -- -Zxz
 
 binary: binary-indep binary-arch
 .PHONY: build build-arch build-indep clean binary-indep binary-arch binary install

## pyfits 3.1.2

=== debian/changelog ===
pyfits (1:3.1.2-2) unstable; urgency=low

  * Move fitscheck to a new pyfits-utils package. Change fitscheck
    package into a transitional package.
  * Add fitsdiff to the pyfits-utils package (Closes: #719775).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 27 Aug 2013 18:46:40 +0200

pyfits (1:3.1.2-1) unstable; urgency=low
  
  [ Aurelien Jarno ]
  * New upstream version.
  * Update watch file.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 11 Jun 2013 01:02:02 +0200

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,14 @@
 X-Python3-Version: >= 3.0
 Standards-Version: 3.9.4.0
 Homepage: http://www.stsci.edu/resources/software_hardware/pyfits
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/pyfits/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pyfits/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pyfits/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pyfits/trunk/
 
 Package: python-pyfits
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
 Provides: ${python:Provides}
-Suggests: fitscheck
+Suggests: pyfits-utils
 Description: Python module for reading, writing, and manipulating FITS files
  FITS (Flexible Image Transport System) is a data format most used in
  astronomy. PyFITS is a Python module for reading, writing, and manipulating
@@ -30,7 +30,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
 Provides: ${python3:Provides}
-Suggests: fitscheck
+Suggests: pyfits-utils
 Description: Python3 module for reading, writing, and manipulating FITS files
  FITS (Flexible Image Transport System) is a data format most used in
  astronomy. PyFITS is a Python module for reading, writing, and manipulating
@@ -43,9 +43,26 @@
 
 Package: fitscheck
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-pyfits
+Priority: extra
+Section: oldlibs
+Depends: pyfits-utils, ${misc:Depends} 
 Breaks: python-pyfits (<< 1:3.0.7-2~)
 Replaces: python-pyfits (<< 1:3.0.7-2~)
+Description: transitional package for pyfits-utils 
+ FITS (Flexible Image Transport System) is a data format most used in
+ astronomy. PyFITS is a Python module for reading, writing, and manipulating
+ FITS files. The module uses Python's object-oriented features to provide quick, 
+ easy, and efficient access to FITS files. The use of Python's array syntax 
+ enables immediate access to any FITS extension, header cards, or data items.
+ .
+ This is a dummy transitional package for pyfits-utils and can be
+ safely removed after the installation is complete.
+
+Package: pyfits-utils
+Architecture: all
+Depends: ${misc:Depends}, ${python:Depends}, python-pyfits
+Breaks: python-pyfits (<< 1:3.0.7-2~), fitscheck (<< 1:3.1.2-1~)
+Replaces: python-pyfits (<< 1:3.0.7-2~), fitscheck (<< 1:3.1.2-1~)
 Description: script to detect and fix FITS standards violations
  FITS (Flexible Image Transport System) is a data format most used in
  astronomy. PyFITS is a Python module for reading, writing, and manipulating
@@ -53,6 +70,4 @@
  easy, and efficient access to FITS files. The use of Python's array syntax 
  enables immediate access to any FITS extension, header cards, or data items.
  .
- This package provides a script a command line script based on pyfits for 
- verifying and updating the CHECKSUM and DATASUM keywords of FITS files.
- It can also detect and often fix other FITS standards violations.
+ This package provides command line scripts based on pyfits.

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+# This has to be exported to make some magic below work.
+export DH_OPTIONS
 
 # Get flags from dpkg-buildflags
 CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
@@ -19,7 +22,7 @@
 	    $$py setup.py clean --all ; \
 	done
 	rm -f *.pyc
-	rm -f lib/svn_version.py
+	rm -f lib/pyfits/version.py
 	rm -rf lib/pyfits.egg-info
 
 	rm -f *-stamp
@@ -48,6 +51,7 @@
 	dh_testroot
 	dh_clean -k
 	dh_installdirs
+	dh_install --sourcedir=$(CURDIR)
 
 	# Python2 version
 	set -e; \
@@ -67,12 +71,6 @@
 	    rm -rf $(CURDIR)/debian/python3-pyfits/usr/bin ; \
 	done
 
-	# Install fitscheck
-	install -m 755 -d $(CURDIR)/debian/fitscheck/usr/bin
-	install -m 644 $(CURDIR)/scripts/fitscheck $(CURDIR)/debian/fitscheck/usr/bin
-	install -m 755 -d $(CURDIR)/debian/fitscheck/usr/share/man/man1
-	install -m 644 $(CURDIR)/debian/fitscheck.1 $(CURDIR)/debian/fitscheck/usr/share/man/man1
-
 	touch $@
 
 # Build architecture-independent files here.
@@ -80,6 +78,7 @@
 	dh_testdir
 	dh_testroot
 	dh_installdocs -i
+	dh_installman -i
 	dh_installexamples -i
 	dh_installchangelogs -i debian/CHANGES
 	dh_python2 -i

## pyfits 3.2

=== debian/changelog ===
pyfits (1:3.2-1build2) trusty; urgency=medium

  * No-change rebuild to drop Python 3.3 support.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Mar 2014 15:29:10 +0000

pyfits (1:3.2-1build1) trusty; urgency=medium

  * Rebuild for python3.4 as a supported python version.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Jan 2014 19:28:05 +0000

pyfits (1:3.2-1) unstable; urgency=low

  * New upstream version.
  * Bump Standards-Version to 3.9.5 (no changes).
  * Remove build-depends on zlib1g-dev and remove patches/01-zlib.diff.
  * Add build-depends on libcfitsio3-dev and add 
    patches/01-system-cfitsio.diff.
  * Update debian/copyright.
  * Install upstream changelog now that it is provided in the upstream
    tarball.
  * Don't compress the binary packages with xz, it's no the dpkg's default.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 07 Dec 2013 16:18:48 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Aurelien Jarno <aurel32@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), zlib1g-dev, python-all-dev (>= 2.6.6-3~), python-setuptools, python-d2to1, python-stsci.distutils, python-numpy, python3-all-dev (>= 3.1.2-6~), python3-setuptools, python3-d2to1, python3-stsci.distutils, python3-numpy
+Build-Depends: debhelper (>= 7.0.50~), libcfitsio3-dev, python-all-dev (>= 2.6.6-3~), python-setuptools, python-d2to1, python-stsci.distutils, python-numpy, python3-all-dev (>= 3.1.2-6~), python3-setuptools, python3-d2to1, python3-stsci.distutils, python3-numpy
 X-Python-Version: >= 2.5
 X-Python3-Version: >= 3.0
-Standards-Version: 3.9.4.0
+Standards-Version: 3.9.5
 Homepage: http://www.stsci.edu/resources/software_hardware/pyfits
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pyfits/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pyfits/trunk/

=== debian/rules ===
--- 
+++ 
@@ -80,7 +80,7 @@
 	dh_installdocs -i
 	dh_installman -i
 	dh_installexamples -i
-	dh_installchangelogs -i debian/CHANGES
+	dh_installchangelogs -i CHANGES.txt
 	dh_python2 -i
 	dh_numpy -i
 	dh_link -i
@@ -90,7 +90,7 @@
 	dh_installdeb -i
 	dh_gencontrol -i
 	dh_md5sums -i
-	dh_builddeb -i -- -Zxz
+	dh_builddeb -i
 
 # Build architecture-dependent files here.
 binary-arch: build-arch install
@@ -98,7 +98,7 @@
 	dh_testroot
 	dh_installdocs -a
 	dh_installexamples -a
-	dh_installchangelogs -a debian/CHANGES
+	dh_installchangelogs -a CHANGES.txt
 	dh_python2 -a
 	dh_numpy -a
 	dh_python3 -a
@@ -111,7 +111,7 @@
 	dh_shlibdeps -a
 	dh_gencontrol -a
 	dh_md5sums -a
-	dh_builddeb -a -- -Zxz
+	dh_builddeb -a
 
 binary: binary-indep binary-arch
 .PHONY: build build-arch build-indep clean binary-indep binary-arch binary install

## pyfits 3.3

=== debian/changelog ===
pyfits (1:3.3-2) unstable; urgency=medium

  * Add patches/02-fitscheck-exception.diff to fix a syntax error with python
    3. Closes: #756587.
  * Add an explicit build-depends on dh-python.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 02 Aug 2014 01:04:27 +0200

pyfits (1:3.3-1) unstable; urgency=medium

  * New upstream version.
  * Rewrite debian/rules using dh.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 25 Jul 2014 20:42:41 +0200

pyfits (1:3.2.2-1) unstable; urgency=medium

  * New upstream version. 

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 29 Apr 2014 21:07:22 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Aurelien Jarno <aurel32@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), libcfitsio3-dev, python-all-dev (>= 2.6.6-3~), python-setuptools, python-d2to1, python-stsci.distutils, python-numpy, python3-all-dev (>= 3.1.2-6~), python3-setuptools, python3-d2to1, python3-stsci.distutils, python3-numpy
+Build-Depends: debhelper (>= 9), libcfitsio3-dev, dh-python, python-all-dev (>= 2.6.6-3~), python-setuptools, python-d2to1, python-stsci.distutils, python-numpy, python-nose, python3-all-dev (>= 3.1.2-6~), python3-setuptools, python3-d2to1, python3-stsci.distutils, python3-numpy, python3-nose
 X-Python-Version: >= 2.5
 X-Python3-Version: >= 3.0
 Standards-Version: 3.9.5
@@ -13,7 +13,7 @@
 
 Package: python-pyfits
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
+Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
 Provides: ${python:Provides}
 Suggests: pyfits-utils
 Description: Python module for reading, writing, and manipulating FITS files
@@ -28,7 +28,7 @@
 
 Package: python3-pyfits
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
+Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}
 Provides: ${python3:Provides}
 Suggests: pyfits-utils
 Description: Python3 module for reading, writing, and manipulating FITS files
@@ -60,7 +60,7 @@
 
 Package: pyfits-utils
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-pyfits
+Depends: ${python:Depends}, ${misc:Depends}, python-pyfits
 Breaks: python-pyfits (<< 1:3.0.7-2~), fitscheck (<< 1:3.1.2-1~)
 Replaces: python-pyfits (<< 1:3.0.7-2~), fitscheck (<< 1:3.1.2-1~)
 Description: script to detect and fix FITS standards violations

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2,python3 --buildsystem=pybuild --parallel 

override_dh_auto_clean:
	dh_auto_clean
	rm -f lib/pyfits/version.py
	rm -rf lib/pyfits.egg-info

override_dh_auto_install:
	dh_auto_install

	# We overwrite the installed version as we want version
	# independent scripts
	install -d -m 755 $(CURDIR)/debian/tmp/usr/bin
	install -m 755 scripts/fitscheck $(CURDIR)/debian/tmp/usr/bin
	install -m 755 scripts/fitsdiff $(CURDIR)/debian/tmp/usr/bin
	
	# The dh sequencer does not call dh_numpy
	dh_numpy
	dh_numpy3

## pyfits 3.4

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pyfits.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pyfits.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
pyfits (1:3.4-1) unstable; urgency=medium

  * New upstream version:
   - Support recent numpy versions (closes: #812302).
   - Drop 02-fitscheck-exception.diff (merged).
   - Drop 03-testsuite-ignore-deprecated.diff (merged).
   - Drop 04-replace-inspect-by-funcsigs.diff (merged).
   - Drop 05-checksum-32-bit.diff (merged).
  * Add 02-numpy-deprecation-warning.diff to fix issues with recent numpy
    versions.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 02 Feb 2016 23:01:32 +0100

pyfits (1:3.3-7) unstable; urgency=medium

  * Stop exporting SOURCE_DATE_EPOCH in debian/rules now that it's
    exported by default in debhelper.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 18 Oct 2015 17:30:27 +0200

pyfits (1:3.3-6) unstable; urgency=medium

  * Add patches/05-checksum-32-bit.diff to fix a checksum issue on 32-bit
    hosts.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 03 Oct 2015 13:01:00 +0200

pyfits (1:3.3-5) unstable; urgency=medium

  * Add patches/03-testsuite-ignore-deprecated.diff to not trigger
    warnings when testing deprecated functions.
  * Add patches/04-replace-inspect-by-funcsigs.diff to use funcsigs
    instead of inspect.getargspec which is deprecated in Python 3.5.
    Closes: #800683.
  * Build depends on stsci.distutils (>= 0.3.7-2) and export
    SOURCE_DATE_EPOCH in debian/rules to have identical version.py files in
    python3.x builds. That way dh_python3 can merge them into
    /usr/lib/python3/dist-packages.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 03 Oct 2015 12:05:38 +0200

pyfits (1:3.3-4) unstable; urgency=medium

  * Replace pyfits-utils by a transitional package depending on
    astropy-utils. Closes: #782817.
  * Drop the fitscheck transitional package.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 27 Jun 2015 17:35:30 +0200

pyfits (1:3.3-3) unstable; urgency=medium

  * Build-depends on libcfitsio-dev instead of libcfitsio3-dev. Closes:
    #761715.
  * Bump Standards-Version to 3.9.6 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 26 Apr 2015 21:31:02 +0200

=== debian/control ===
Source: pyfits
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Aurelien Jarno <aurel32@debian.org>
Build-Depends: debhelper (>= 9), libcfitsio-dev, dh-python, python-all-dev (>= 2.6.6-3~), python-setuptools, python-d2to1, python-stsci.distutils (>= 0.3.7-2), python-numpy, python-funcsigs, python-nose, python3-all-dev (>= 3.1.2-6~), python3-setuptools, python3-d2to1, python3-stsci.distutils (>= 0.3.7-2), python3-numpy, python3-funcsigs, python3-nose
X-Python-Version: >= 2.5
X-Python3-Version: >= 3.0
Standards-Version: 3.9.6
Homepage: http://www.stsci.edu/resources/software_hardware/pyfits
Vcs-Git: git://anonscm.debian.org/python-modules/packages/pyfits.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pyfits.git

Package: python-pyfits
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Suggests: pyfits-utils
Description: Python module for reading, writing, and manipulating FITS files
 FITS (Flexible Image Transport System) is a data format most used in
 astronomy. PyFITS is a Python module for reading, writing, and manipulating
 FITS files. The module uses Python's object-oriented features to provide quick, 
 easy, and efficient access to FITS files. The use of Python's array syntax 
 enables immediate access to any FITS extension, header cards, or data items.
 .
 This package provides PyFITS on the Python 2 module path. It is complemented
 by python3-pyfits.

Package: python3-pyfits
Architecture: any
Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}
Provides: ${python3:Provides}
Suggests: pyfits-utils
Description: Python3 module for reading, writing, and manipulating FITS files
 FITS (Flexible Image Transport System) is a data format most used in
 astronomy. PyFITS is a Python module for reading, writing, and manipulating
 FITS files. The module uses Python's object-oriented features to provide quick, 
 easy, and efficient access to FITS files. The use of Python's array syntax 
 enables immediate access to any FITS extension, header cards, or data items.
 .
 This package provides PyFITS on the Python 3 module path. It is complemented
 by python-pyfits.

Package: pyfits-utils
Architecture: all
Priority: extra
Section: oldlibs
Depends: astropy-utils, ${misc:Depends} 
Description: transitional package for astropy-utils
 FITS (Flexible Image Transport System) is a data format most used in
 astronomy. PyFITS is a Python module for reading, writing, and manipulating
 FITS files. The module uses Python's object-oriented features to provide quick, 
 easy, and efficient access to FITS files. The use of Python's array syntax 
 enables immediate access to any FITS extension, header cards, or data items.
 .
 This is a dummy transitional package for astropy-utils and can be
 safely removed after the installation is complete.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2,python3 --buildsystem=pybuild --parallel 

override_dh_auto_clean:
	dh_auto_clean
	rm -f pyfits/version.py
	rm -rf .eggs

override_dh_auto_install:
	dh_auto_install

	# The dh sequencer does not call dh_numpy
	dh_numpy
	dh_numpy3

=== debian/watch ===
version=3
http://www.stsci.edu/institute/software_hardware/pyfits/Download .*/pyfits-(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))
# Bart Martens <bartm@debian.org>  Thu, 22 Nov 2012 13:21:27 +0000
